# Generated from minitar-cli-0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minitar-cli

Name: rubygem-%{gem_name}
Version: 0.8
Release: 1%{?dist}
Summary: <tt>minitar-cli</tt> is a pure-Ruby command-line tool that uses {minitar}[https://github.com/halostatue/minitar] to provide a command-line tool, +minitar+, for working with POSIX tar(1) archive files
License: Ruby and BSD-2-Clause
URL: https://github.com/halostatue/minitar-cli/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(hoe-doofus) >= 1.0
# BuildRequires: rubygem(hoe-doofus) < 2
# BuildRequires: rubygem(hoe-gemspec2) >= 1.1
# BuildRequires: rubygem(hoe-gemspec2) < 2
# BuildRequires: rubygem(hoe-git) >= 1.6
# BuildRequires: rubygem(hoe-git) < 2
# BuildRequires: rubygem(hoe-rubygems) >= 1.0
# BuildRequires: rubygem(hoe-rubygems) < 2
# BuildRequires: rubygem(hoe-travis) >= 1.2
# BuildRequires: rubygem(hoe-travis) < 2
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(hoe) >= 3.17
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
<tt>minitar-cli</tt> is a pure-Ruby command-line tool that uses
{minitar}[https://github.com/halostatue/minitar] to provide a command-line
tool, +minitar+, for working with POSIX tar(1) archive files.
This is release 0.7, extracted from {minitar}[https://halostatue.ca/minitar],
with modernizations.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/minitar
%license %{gem_instdir}/Licence.md
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Contributing.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 0.8-1
- Initial package
